cancel
Showing results for 
Search instead for 
Did you mean: 

PSoC 6

Anonymous
Not applicable

I bought PSoC 6 BLE PIONEER KIT .I try to programming psoc63 chip with onboard kitprog2 programmer and with miniprog3 programmer .

Psoc creator 4.2 and psoc programmer 3.27 can not acquire chip . What can I do ?

0 Likes
1 Solution
Anonymous
Not applicable

Hello

I bought this kit on Mouser.com . I raise tech support case on cypress.com . Then I fill Return Merchandise Authorization (RMA) Request on mouser.com . Mouser.com sent me  a new kit .

View solution in original post

0 Likes
17 Replies
Anonymous
Not applicable

Hello, there is a switch in the back of the psoc 6 board (SW6), its state defines the target of the kitprog2 programmer, it has two states (external device and psoc 6 ble), by default it should come in psoc 6 ble, but might as well happened that yours is in external device mode... If its state is in psoc 6 ble mode and if psoc programmer still can not acquire the chip then it could could be a firmware problem.

0 Likes
Anonymous
Not applicable

SW6 is in psoc 6 ble mode .What firmware problem ?

0 Likes
Anonymous
Not applicable

Well, it could be possible that the kitprog in the psoc 6 ble doesn't have the right firmware. It happened to me with the dongle that comes with the kit, both the psoc 5lp and the proc ble were blank, I solved by using another kitprog to upload the kitprog.hex to the psoc 5LP in the board and after that I was able to program the proc ble. I'm not sure that doing this will solve your problem but it is worth the shot. You can try it.

Oh, and make sure to raise your case to cypress.

0 Likes
Anonymous
Not applicable

Kitprog2 on cy8ckit-062-ble kit work good . I try to program dongle cy5677 (SW6 to external device) .

I measure current on power monitoring pins . Current is 200 mA .Is it good value ?.

I also measure temperature of psoc63 chip (with flir one) . Temperature is 60 degrees C .

0 Likes
anrac_1453516
New Contributor

I have one PSoC 6 development kit, which I am not able to program.

When I tried to program the kit with PSoC Programmer, I am getting the device which is not listed in the PsoC Creator 4.2 beta version.

All this is happening as device ID is not the same. In earlier version of PSoC Creator version, it throws an error but in this version, it is not throwing any error message.

You can verify this by building project in PSoC Creator and then loading the firmware via PSoC Programmer.

In PSoC Programmer, setting must be device selection as Automatic.

0 Likes
MiRo_263836
Contributor II

I ran into this same problem. The original -062 kit has an older version of the silicon that Creator 4.2 doesn't recognized. Cypress had me install a version of Creator 4.1 Update 1 that had the PSoC6 visible. You need to ask Cypress for a link to the Creator 4.1 Update 1 version that exposes PSoC6.  The alternative is to wait for the new eval kit with newer silicon that Creator 4.2 Beta recognizes.

0 Likes
Anonymous
Not applicable

In my CY8CKIT-062-BLE is soldered CY8C6347BZI-BLD53ES . I think that ES means engineering sample .

0 Likes
MeenakshiR_71
Employee

Hello mk4321_1601916​,

Can you please raise a support case with the below details?

1. Your invoice/order details. Mention from where you obtained the kit - Cypress or Other Distributors?

2. Screenshots of the error you are seeing in PSoC Programmer when you try to program the device.

3. Image of the kit version number (should be a sticker at the bottom of the board)

Regards,

Meenakshi Sundaram R

0 Likes
Anonymous
Not applicable

Hello msur

I send three files . I bought CY8CKIT-062-BLE on Mouser.com

0 Likes
MeenakshiR_71
Employee

Can you please create a tech support case as well? From the screenshots it appears like PSoC Programmer is not able to talk to the device, even though it is able to detect the power. This can be because one or more of the SWD and reset lines is not getting connected to PSoC 5 or on-board PSoC 6 is dead. I see the SW6 position to be proper. Please raise a tech support case, we will formally replace the kit.

The PSoC Creator screenshot is because you have Kitprog2 connected in PSoC Programmer, can you close PSoC Programmer and then see what PSoC Creator says? This is to check if PSoC Creator can talk to the device or not (it can enumerate as ARM Debug port).

0 Likes
Anonymous
Not applicable

Hello

I raise a tech support case on 11/01/2017 .

Tech Support MyCase 00384996 .

I do not have two programs running simultaneously .

0 Likes
WaYa_2582946
New Contributor

Hello,  I also have the same problem with yours. Have you solved it? I wish to know the solution, thank you.

0 Likes
Anonymous
Not applicable

Hello

I bought this kit on Mouser.com . I raise tech support case on cypress.com . Then I fill Return Merchandise Authorization (RMA) Request on mouser.com . Mouser.com sent me  a new kit .

View solution in original post

0 Likes
Anonymous
Not applicable

It nothing helped .

0 Likes
AnDu_1277466
New Contributor II

PSoC6 KitProg2.jpgHola, Buenos días a todos:

He comprado dos unidades de PSoC 6 BLE PionerKit a través de Móuser y también tuve ese problema.

Básicamente es que no detecta el KitProg2, pero en mi caso lo resolví fácilmente, SW5 está en posición baja, lo moví a la posición central y después a la posición baja, automáticamente fué detectado por PSoC Creator 4.2

También utilicé el PSoC Programmer 3.27.0 para comprobar si funcionaba, todo correcto.

Hello good mornig for everyone:

I bought two units of PSoC 6 BLE PionerKit through Mouser and I also had that problem.

Basically it does not detect the KitProg2, but in my case I solved it easily, SW5 is in low position, I moved it to the central position and then to the low position, it was automatically detected by PSoC Creator 4.2

I also used the PSoC Programmer 3.27.0 to check if it worked, all right

0 Likes
Anonymous
Not applicable

I have a PSoC 6 BLE Pioneer Kit.

PSoC Creator 4.2 indicates the on-board KitProg2 is V1.04 but it needs V1.05.

The release notes indicate PSoC Programmer V3.27 is needed to make this upgrade.

Cypress Update Manager indicates there are no updates available for PSoC Programmer 3.26.

How can I get PSoC Programmer V3.27?

0 Likes
Anonymous
Not applicable

Hi, PSoC Programmer V3.27 is included in the installation of PSoC Creator 4.2 beta 1 and beta 2.

Try updating to PSoC Creator 4.2 beta 2 (It isn't available via cypress update manager, you must download it from this postPSoC Creator 4.2 Beta 2 Announcement!​​ ).

0 Likes
Top labels